import type { Plugin } from "rollup";
declare type Filter = Array<string | RegExp> | string | RegExp | null;
/**模块参数 */
interface StringLoaderOptions {
    /**包含的文件类型，默认为所有 .html 文件 */
    include?: Filter;
    /**要排除的文件类 */
    exclude?: Filter;
    /**是否压缩 */
    minify?: boolean;
    /**内容替换设置*/
    replacements?: {
        /**内容替换正则 */
        reg: RegExp;
        /**要替换的内容，默认为空字符串 */
        val?: string;
    };
}
/**Rollup 文本文件加载插件 */
declare function stringLoader(opts: StringLoaderOptions): Plugin;
export { stringLoader };
